# 更新属性值

更新属性值。

Endpoint: PUT /v2/project/{project_id}/admin/attribute/{external_id}/value/{value_external_id}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    项目ID。您可以在发布商帐户的项目名称旁找到此参数；使用项目时，也可以在浏览器地址栏中找到此参数。URL格式如下：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `value_external_id` (string, required)
    属性值外部ID。
    Example: "value_id"

  - `external_id` (string, required)
    属性外部ID。
    Example: "attribute_id"

## Request fields (application/json):

  - `external_id` (string, required)
    属性的唯一值ID。 external_id只能包含小写英文字母、数字、短横线和下划线。
    Example: "value_id"

  - `value` (object, required)
    包含值本地化名称的对象。编码按照ISO 3166-1的规定。
    Example: {"en":"Value","de":"Wert"}

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 403 fields (application/json):

  - `statusCode` (integer)
    Example: 403

  - `errorCode` (integer)

  - `errorMessage` (string)
    Example: "Authorization header not sent."

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 1102

  - `errorMessage` (string)
    Example: "[0000-0000]: Entity not found"

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 1102

  - `errorMessage` (string)
    Example: "[0401-1102]: Unprocessable Entity. The property `property_name` is required"

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"


## Response 204 fields
